Page MenuHomePhabricator

Deprecation of API "action=query&prop=revisions&!rvslots"
Closed, ResolvedPublic

Description

Details at T201971#4503696.

I would suggest to temporarily undo this deprecation until at least the three major internal consumers (Mobile-Content-Service, ChangeProp, Parsoid) have patched and deployed changes to not use this API.

Event Timeline

Krinkle created this task.Aug 15 2018, 12:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2018, 12:01 AM

Parsoid has a patch for this already https://gerrit.wikimedia.org/r/#/c/mediawiki/services/parsoid/+/450876/ .. which will likely be deployed tomorrow (would have been today, but today is a holiday).

It looks like MCS already has a patch merged too.

Yes, I just deployed the MCS update. Please let me know if you continue seeing messages of this type from MCS.

Parsoid has a patch for this already https://gerrit.wikimedia.org/r/#/c/mediawiki/services/parsoid/+/450876/ .. which will likely be deployed tomorrow (would have been today, but today is a holiday).

Done

bearND added a subscriber: Pchelolo.
Krinkle updated the task description. (Show Details)Aug 16 2018, 8:16 PM
Krinkle updated the task description. (Show Details)Aug 16 2018, 8:24 PM
Mholloway updated the task description. (Show Details)Aug 16 2018, 8:25 PM
Krinkle updated the task description. (Show Details)Aug 16 2018, 8:26 PM

Change-Propagation

I believe it doesn't request MW API directly, however, RESTBase does. Will fix it shortly.

Pchelolo updated the task description. (Show Details)Aug 16 2018, 8:53 PM
Pchelolo updated the task description. (Show Details)

Leaving open until the RESTBase change is deployed and we've confirmed at https://logstash.wikimedia.org/app/kibana#/dashboard/api-feature-usage that the !rvslots pattern no longer has WMF user-agent hits.

Pchelolo edited projects, added Services (doing); removed Services.Aug 17 2018, 4:39 PM

Will deploy RESTBase first thing on Monday, no Friday deploys :)

Mentioned in SAL (#wikimedia-operations) [2018-08-20T08:12:03Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@a3ae0d3] (dev-cluster): Remove contentmodel from MW API revision request - T201974

Mentioned in SAL (#wikimedia-operations) [2018-08-20T08:16:19Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@a3ae0d3] (dev-cluster): Remove contentmodel from MW API revision request - T201974 (duration: 04m 16s)

Mentioned in SAL (#wikimedia-operations) [2018-08-20T08:25:13Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@a3ae0d3]: Remove contentmodel from MW API revision request - T201974

Mentioned in SAL (#wikimedia-operations) [2018-08-20T08:43:30Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@a3ae0d3]: Remove contentmodel from MW API revision request - T201974 (duration: 18m 17s)

Will deploy RESTBase first thing on Monday, no Friday deploys :)

RB deployed.

Krinkle closed this task as Resolved.Aug 20 2018, 4:48 PM
Krinkle claimed this task.